Subject: FVWM: PATCH: fvwm-2.0.42 for SunOS (strerror)

From: Larry Schwimmer <[email-masked]>
Date: Thu, 6 Jun 1996 18:15:05 -0700 (PDT)

Hi!  According the the docs, this is the place where
I am supposed to mail bug reports/patches.  Anyhow, fvwm2.0.42 (the
latest I could locate) does not compile under SunOS, which does not
have strerror in its libc.  I used an implementation of strerror
that I wrote for this patch.
	In unrelated matters, could you please upload fvwm2 to
ftp.x.org and also announce new versions on comp.os.linux.announce?
It is anything but obvious where to find fvwm2.  It took me several
months before I finally stumbled into the new site.  Thanks!

			yours,
				Larry Schwimmer
				[email-masked]
				Distributed Computing Operations

--- libs/Imakefile.orig	Fri Feb 16 17:17:27 1996
+++ libs/Imakefile	Thu Jun  6 17:42:31 1996
@@ -22,6 +22,7 @@
 	mystrcasecmp.c \
 	safemalloc.c \
 	sleep.c \
+	strerror.c \
 	strncmp.c \
 	wild.c
 
@@ -43,6 +44,7 @@
 	mystrcasecmp.o \
 	safemalloc.o \
 	sleep.o \
+	strerror.o \
 	strncmp.o \
 	wild.o
 
--- /dev/null	Thu Jun  6 17:41:07 1996
+++ libs/strerror.c	Thu Jun  6 17:41:47 1996
@@ -0,0 +1,15 @@
+extern int sys_nerr;
+extern char *sys_errlist[];
+
+/* strerror
+ *
+ * Return string corresponding to errno
+ * For systems which lack this function.
+ */
+const char *
+strerror(int errnum)
+{
+  static char unknown[] = "Unknown error";
+
+  return ((unsigned int)errnum < sys_nerr) ? sys_errlist[errnum] : unknown;
+}
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Jason L Tibbitts III <[email-masked]>
Date: 06 Jun 1996 20:33:10 -0500

>>>>> "LS" == Larry Schwimmer <[email-masked]> writes:

LS> Anyhow, fvwm2.0.42 (the latest I could locate) does not compile under
LS> SunOS, which does not have strerror in its libc.

Thanks; this is documented (with fix) on the web page.

LS> In unrelated matters, could you please upload fvwm2 to ftp.x.org and
LS> also announce new versions on comp.os.linux.announce?

Well, fvwm2 hasn't been released from beta yet, so it's pretty much
pointless to announce development versions to the world.  We have the
fvwm-announce list for that kind of thing.  Rest assured that when 2.1
comes out it will be announced far and wide.

LS> It is anything but obvious where to find fvwm2.  It took me several
LS> months before I finally stumbled into the new site.

Well, we announced the move to the linux groups and of course we kept the
mailing list running with the same subscribers.  The old sites and
addresses kept pointers for a good while, but I'm sure they've expired
after all this time.  I can't see what else was to be done; I've maintained
the list and ftp site and Chuck has maintained the code for nearly a year
now (well, ten months).
-- 
      Jason L. Tibbitts III - [email-masked] - 713/743-8684 - 221SR1
System Manager:  University of Houston High Performance Computing Center
                1994 PC800 "Kuroneko"      DoD# 1723
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Larry Schwimmer <[email-masked]>
Date: Fri, 7 Jun 1996 00:11:43 -0700 (PDT)

You (Jason L Tibbitts III) write:
> pointless to announce development versions to the world.

	If the code is reasonably stable, then the extra visibility
from comp.os.linux.announce and ftp.x.org would probably be helpful.

> I can't see what else was to be done; I've maintained

	It would be nice if spcot.sanders.com had a README pointing to
the new site.  And it woul be good if CERT knew about the new site (it
has a mention of fvwm in /pub/latest_sw_versions).  I see now that
sunsite did have a copy, but I usually check ftp.x.org; linux sites
have a lot of bastardized versions of software, so I prefer reference
sites for a program.

			yours,
				Larry

---

From: Jason L Tibbitts III <[email-masked]>
Date: 07 Jun 1996 02:55:20 -0500

>>>>> "LS" == Larry Schwimmer <[email-masked]> writes:

LS> If the code is reasonably stable, then the extra visibility from
LS> comp.os.linux.announce and ftp.x.org would probably be helpful.

I'd agree if we weren't (hopefully) only one test version away from
release.

LS> It would be nice if spcot.sanders.com had a README pointing to the new
LS> site.

Good point; I didn't realize that site was still up.  Robert, (if you're
reading) do you recall who ran that site?  Otherwise it's mail off to root.

LS> And it woul be good if CERT knew about the new site (it has
LS> a mention of fvwm in /pub/latest_sw_versions).

CERT?  Hmmm.  That's kind of surprising.  You never know who keeps lists.
I think they'll all find out soon enough, though.

 - J<

---

From: <[email-masked]> (Charles Hines)
Date: Fri, 7 Jun 1996 09:48:19 -0400

>>>>> "Larry" == Larry Schwimmer <[email-masked]> writes:
>>>>> "Jason" == Jason L Tibbitts <[email-masked]> writes:

>> pointless to announce development versions to the world.

Larry>  If the code is reasonably stable, then the extra visibility
Larry> from comp.os.linux.announce and ftp.x.org would probably be helpful.

Jason> I'd agree if we weren't (hopefully) only one test version away from
Jason> release.

I wouldn't agree - it's in beta state for a reason still, and beta
generally means that the whole world shouldn't know about it, just a
smaller portion, since trouble can be expected.  I do occasionally
mess things up so it doesn't compile or link on some platforms and
more than enough people access it already to swamp me and the list
with email about it not linking or compiling every time another beta
is released.

But I HAVE announced the new ftp and official web site several times
(and various other things about 2.xx) on comp.windows.x.apps and
comp.os.linux.announce, and answered many a question about fvwm on the
former as well where I reference the web site (always stressing that
it is still beta code).

The new ftp & web site info is also in the comp.windows.x.apps FAQ.

>> the list and ftp site and Chuck has maintained the code for nearly a year

Yeah, way too long for it to still be in beta, which is why I really
want to have only one more beta and then the first official 2.xx
release (2.1.0).

Chuck

*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis Developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

         "Go back to sleep, Chuck.  You're just havin' a nightmare
             -- of course, we ARE still in Hell." (Gary Larson)
*******************************************************************************
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].